help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [OSx] building emacs 25 with xwidgets support


From: Stefan Monnier
Subject: Re: [OSx] building emacs 25 with xwidgets support
Date: Wed, 10 Aug 2016 17:50:30 -0400
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)

> ​Stefan, right.  But what if I'm in OSx?  Is it possible to compile Emacs
> with xwidget support in osx? ​

I don't see why not.  But of course, you'd need to compile "--with-x"
rather than the default "--with-ns".


        Stefan


> On Tue, Aug 9, 2016 at 11:23 PM, Stefan Monnier <address@hidden>
> wrote:

>> > I have gtk+3 installed and webkitgtk.
>> 
>> A common mistake is to think there is such a thing as "gtk+3 is
>> installed", when in fact gtk+3 is divided into many different packages
>> and it's very likely you only have a particular subset which doesn't
>> include some of the those files that Emacs's build needs.
>> 
>> Concretely I suggest you try something like "apt-get build-deps emacs24"
>> 
>> 
>> Stefan
>> 
>> 
>> 





reply via email to

[Prev in Thread] Current Thread [Next in Thread]